package com.ruoyi.system.service.operatingmanage;


import com.ruoyi.system.domain.operatingmanage.TPublicServiceComInfo;

import java.util.List;

/**
 * 企业招聘 企业信息
 * @author wujm<wujm@eazytec.com>
 */
public interface TPublicServiceComInfoService {

    /**
     * 分页查询
     * @param tPublicServiceComInfo
     * @return
     */
	List<TPublicServiceComInfo> listTPublicServiceComInfo(TPublicServiceComInfo tPublicServiceComInfo);

    /**
     * 新增
     * @param tPublicServiceComInfo
     * @return
     */
    int saveTPublicServiceComInfo(TPublicServiceComInfo tPublicServiceComInfo);

    /**
     * 根据id查询
     * @param id
     * @return
     */
    TPublicServiceComInfo getTPublicServiceComInfoById(Long id);

    /**
     * 修改
     * @param tPublicServiceComInfo
     * @return
     */
    int updateTPublicServiceComInfo(TPublicServiceComInfo tPublicServiceComInfo);

    /**
     * 删除
     * @param ids
     * @return
     */
    int batchRemove(Long[] ids);

    /**
     * 分页查询
     * @param tPublicServiceComInfo
     * @return
     */
    List<TPublicServiceComInfo> listComInfo(TPublicServiceComInfo tPublicServiceComInfo);

    TPublicServiceComInfo getComInfoById(Long id);

    int saveComInfo(TPublicServiceComInfo tPublicServiceComInfo);

}
